Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class StandardJDBCEscapeFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.StandardJDBCEscapeFunction

All Implemented Interfaces:
  SQLFunction

    public class StandardJDBCEscapeFunction

extends StandardSQLFunction

Analogous to `StandardSQLFunction` except that standard JDBC escape sequences (i.e. {fn blah}) are used when rendering the SQL.

Constructor Summary
`StandardJDBCEscapeFunction(String name)`
`StandardJDBCEscapeFunction(String name, Type typeValue)`

Method Summary
`String` | `render(Type argumentType, List args, SessionFactoryImplementor factory)` Render the function call as SQL fragment.
`String` | `toString()`

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getReturnType, getType, hasArguments, hasParenthesesIfNoArguments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardJDBCEscapeFunction

    public StandardJDBCEscapeFunction(String name)

### StandardJDBCEscapeFunction

    public StandardJDBCEscapeFunction(String name,
                                      Type typeValue)

Method Detail

### render

    public String render(Type argumentType,
                         List args,
                         SessionFactoryImplementor factory)

  Description copied from class: `StandardSQLFunction`
  Render the function call as SQL fragment.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.getReturnType(org.hibernate.type.Type, org.hibernate.engine.spi.Mapping)`

  Specified by:
    `render` in interface `SQLFunction`
  Overrides:
    `render` in class `StandardSQLFunction`
  Parameters:
    `argumentType` - The type of the first argument
    `args` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call

### toString

    public String toString()

  Overrides:
    `toString` in class `StandardSQLFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.